﻿using Hydra;
using System.Windows.Forms;

[assembly: CallbackAssemblyDescription(Name: "Kontroluj nazwę towaru",
                                       Description: "Sprawdzaj czy na kartotece towarowej nie użyto zabronionych słów.",
                                       Author: "Szymon Liszewski",
                                       Version: "1.0",
                                       SystemVersion: "2018.2",
                                       Created: "14-11-2018")]
namespace DH_CheckWareName
{
    [SubscribeProcedure(Procedures.TwrEdycja, "Edycja kartoteki towarowej")]
    public class CheckWareNameWidget : Callback
    {
        public override void Init()
        {
            AddSubscription(true, 0, Events.OpenWindow, (procID, ctrlID, eveID) =>
            {
                AddSubscription(true, GetWindow().Children["?Cli_Zapisz"].Id, Events.Accepted, (procedureID, controlID, eventID) =>
                {
                    ClaWindow wareNameControl = GetWindow().Children["?Twr:Nazwa"];
                    string wareName = wareNameControl.ScreenTextRaw;

                    if (wareName.ToLower().Contains("lipa")
                    || wareName.ToLower().Contains("dupa")
                    || wareName.ToLower().Contains("kit"))
                    {
                        MessageBox.Show("Nazwa towaru zawiera niedozwoloną frazę. Niedozwolone słowa: lipa, dupa, kit.", "Blokada zapisu kartoteki", MessageBoxButtons.OK, MessageBoxIcon.Stop);
                        return false;
                    }

                    return true;
                });

                return true;
            });
        }

        public override void Cleanup()
        {

        }
    }
}
